Bug 1049999 - [GSS] (6.3) Class-Path: . can cause JBAS011046: A component named 'TestBean' is already defined in this module
Summary: [GSS] (6.3) Class-Path: . can cause JBAS011046: A component named 'TestBean' ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR0
: EAP 6.3.0
Assignee: Kyle Lape
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1050003
TreeView+ depends on / blocked
 
Reported: 2014-01-08 15:31 UTC by Brad Maxwell
Modified: 2014-06-29 22:21 UTC (History)
5 users (show)

(edit)
In previous versions of JBoss EAP 6, some jar libraries in WEB-INF/lib contained a manifest with a Class-Path attribute that contained "." as an entry. 

This issue caused some resources or components get processed twice, causing warnings in the log.

This release of the product ignores "." entries in Class-Path manifest attributes so resources are no longer processed twice.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:44:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2725 Major Resolved Class-Path: . can cause JBAS011046: A component named 'TestBean' is already defined in this module 2017-06-30 20:58 UTC

Description Brad Maxwell 2014-01-08 15:31:29 UTC
'JBAS011046: A component named
'TestBean' is already defined in this module', I have narrowed it
down to it occurs if they have a jar manifest with Class-Path: .
It looks like when deploying it looks at the jar with the manifest
entry which then must be having it scan the jar containing the EJB
again and failing.

Having the Class-Path: . doesn't really make sense to me, however it
also seems like we should not be trying to deploy it twice.

It appears ManifestClassPathProcessor ignores the . when the Class-Path is in a jar at the root of an ear but not when the jar is in a war's WEB-INF/lib

server/src/main/java/org/jboss/as/server/deployment/module/ManifestClassPathProcessor.java

Comment 3 Michal Karm Babacek 2014-02-28 17:53:33 UTC
The fix skips . and it's present in the delivered bits, VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.